Skip to main content
GET
/
v1
/
topics
TopicsController_listTopics
import { Novu } from "@novu/api";

const novu = new Novu({
  apiKey: "<YOUR_API_KEY_HERE>",
});

async function run() {
  const result = await novu.topics.list({});

  // Handle the result
  console.log(result)
}

run();
curl --request GET \
--url https://api.novu.co/v1/topics \
--header 'Authorization: <api-key>'
import requests

url = "https://api.novu.co/v1/topics"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.novu.co/v1/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "_organizationId": "<string>",
      "_environmentId": "<string>",
      "key": "<string>",
      "name": "<string>",
      "subscribers": [
        "<string>"
      ],
      "_id": "<string>"
    }
  ],
  "page": 123,
  "pageSize": 123,
  "totalCount": 123
}
"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second"
"API rate limit exceeded"
"Please wait some time, then try again."
Enter your API key in the Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80e

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".

Query Parameters

page
number
default:0

Number of page for the pagination

Required range: x >= 0
pageSize
number
default:10

Size of page for the pagination

Required range: x >= 0
key
string

Topic key

Response

data
object[]
required
page
number
required
pageSize
number
required
totalCount
number
required